public inbox for linux-integrity@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator
@ 2025-02-11  3:00 Ahmed Salem
  2025-02-11 18:10 ` Jarkko Sakkinen
  0 siblings, 1 reply; 4+ messages in thread
From: Ahmed Salem @ 2025-02-11  3:00 UTC (permalink / raw)
  To: peterhuewe, jarkko, jgg, shuah, skhan
  Cc: linux-integrity, linux-kselftest, linux-kernel,
	linux-kernel-mentees

Use POSIX-conformant operator symbol '='.

Signed-off-by: Ahmed Salem <x0rw3ll@gmail.com>
---

Apologies for my previous mistakes.

Changes in v3:
 - Reword mistaken commit message

Changes in v2:
 - Remove snippets pinpointing the issue 
   from commit message

 tools/testing/selftests/tpm2/test_smoke.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/tpm2/test_smoke.sh b/tools/testing/selftests/tpm2/test_smoke.sh
index 168f4b166234..3a60e6c6f5c9 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -6,6 +6,6 @@ ksft_skip=4
 
 [ -e /dev/tpm0 ] || exit $ksft_skip
 read tpm_version < /sys/class/tpm/tpm0/tpm_version_major
-[ "$tpm_version" == 2 ] || exit $ksft_skip
+[ "$tpm_version" = 2 ] || exit $ksft_skip
 
 python3 -m unittest -v tpm2_tests.SmokeTest 2>&1
-- 
2.47.2


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator
  2025-02-11  3:00 [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator Ahmed Salem
@ 2025-02-11 18:10 ` Jarkko Sakkinen
  2025-02-11 23:05   ` Ahmed Salem
  0 siblings, 1 reply; 4+ messages in thread
From: Jarkko Sakkinen @ 2025-02-11 18:10 UTC (permalink / raw)
  To: Ahmed Salem, peterhuewe, jgg, shuah, skhan
  Cc: linux-integrity, linux-kselftest, linux-kernel,
	linux-kernel-mentees

On Tue Feb 11, 2025 at 5:00 AM EET, Ahmed Salem wrote:
> Use POSIX-conformant operator symbol '='.
>
> Signed-off-by: Ahmed Salem <x0rw3ll@gmail.com>
> ---
>
> Apologies for my previous mistakes.
>
> Changes in v3:
>  - Reword mistaken commit message
>
> Changes in v2:
>  - Remove snippets pinpointing the issue 
>    from commit message

OK I read what I wrote and I guess it could have been misinterpreted.

What I meant was to take the relevant part of the transcript that shows
the issue (and possibly also how it works when fixed).

Sorry about that.

[1] https://lore.kernel.org/linux-integrity/D7OY3ZVGJOV5.R3SL9SBFT2DF@kernel.org/

BR, Jarkko

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator
  2025-02-11 18:10 ` Jarkko Sakkinen
@ 2025-02-11 23:05   ` Ahmed Salem
  2025-02-11 23:25     ` Jarkko Sakkinen
  0 siblings, 1 reply; 4+ messages in thread
From: Ahmed Salem @ 2025-02-11 23:05 UTC (permalink / raw)
  To: Jarkko Sakkinen
  Cc: peterhuewe, jgg, shuah, skhan, linux-integrity, linux-kselftest,
	linux-kernel, linux-kernel-mentees

On 25/02/11 08:10PM, Jarkko Sakkinen wrote:
> On Tue Feb 11, 2025 at 5:00 AM EET, Ahmed Salem wrote:
> > Use POSIX-conformant operator symbol '='.
> >
> > Signed-off-by: Ahmed Salem <x0rw3ll@gmail.com>
> > ---
> >
> > Apologies for my previous mistakes.
> >
> > Changes in v3:
> >  - Reword mistaken commit message
> >
> > Changes in v2:
> >  - Remove snippets pinpointing the issue 
> >    from commit message
> 
> OK I read what I wrote and I guess it could have been misinterpreted.
> 
> What I meant was to take the relevant part of the transcript that shows
> the issue (and possibly also how it works when fixed).
> 
> Sorry about that.
> 
> [1] https://lore.kernel.org/linux-integrity/D7OY3ZVGJOV5.R3SL9SBFT2DF@kernel.org/
> 
> BR, Jarkko

Understood. Thank you so much for your review and continued guidance!

I will be sending the revised patch shortly with the proposed changes.

-- 
Best regards,
Ahmed Salem <x0rw3ll@gmail.com>

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator
  2025-02-11 23:05   ` Ahmed Salem
@ 2025-02-11 23:25     ` Jarkko Sakkinen
  0 siblings, 0 replies; 4+ messages in thread
From: Jarkko Sakkinen @ 2025-02-11 23:25 UTC (permalink / raw)
  To: Ahmed Salem
  Cc: peterhuewe, jgg, shuah, skhan, linux-integrity, linux-kselftest,
	linux-kernel, linux-kernel-mentees

On Wed, Feb 12, 2025 at 01:05:02AM +0200, Ahmed Salem wrote:
> On 25/02/11 08:10PM, Jarkko Sakkinen wrote:
> > On Tue Feb 11, 2025 at 5:00 AM EET, Ahmed Salem wrote:
> > > Use POSIX-conformant operator symbol '='.
> > >
> > > Signed-off-by: Ahmed Salem <x0rw3ll@gmail.com>
> > > ---
> > >
> > > Apologies for my previous mistakes.
> > >
> > > Changes in v3:
> > >  - Reword mistaken commit message
> > >
> > > Changes in v2:
> > >  - Remove snippets pinpointing the issue 
> > >    from commit message
> > 
> > OK I read what I wrote and I guess it could have been misinterpreted.
> > 
> > What I meant was to take the relevant part of the transcript that shows
> > the issue (and possibly also how it works when fixed).
> > 
> > Sorry about that.
> > 
> > [1] https://lore.kernel.org/linux-integrity/D7OY3ZVGJOV5.R3SL9SBFT2DF@kernel.org/
> > 
> > BR, Jarkko
> 
> Understood. Thank you so much for your review and continued guidance!
> 
> I will be sending the revised patch shortly with the proposed changes.

Yeah, like narrow down the transcript that's all, and yep what I said
was somewhat misguiding...

BR, Jarkko

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2025-02-11 23:25 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-02-11  3:00 [PATCH v3] selftests: tpm2: test_smoke: use POSIX-conformant expression operator Ahmed Salem
2025-02-11 18:10 ` Jarkko Sakkinen
2025-02-11 23:05   ` Ahmed Salem
2025-02-11 23:25     ` Jarkko Sakkinen

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox